summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--network/libnl/README5
-rw-r--r--network/libnl/libnl.SlackBuild79
-rw-r--r--network/libnl/libnl.info8
-rw-r--r--network/libnl/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/network/libnl/README b/network/libnl/README
new file mode 100644
index 0000000000..22f2cd3e55
--- /dev/null
+++ b/network/libnl/README
@@ -0,0 +1,5 @@
+libnl (netlink socket library)
+
+libnl is a library for applications dealing with netlink sockets. The
+library provides an interface for raw netlink messaging and various
+netlink family specific interfaces.
diff --git a/network/libnl/libnl.SlackBuild b/network/libnl/libnl.SlackBuild
new file mode 100644
index 0000000000..53fb3160f2
--- /dev/null
+++ b/network/libnl/libnl.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for libnl
+# Written by Andrew Psaltis (ampsaltis@gmail.com)
+
+# Copyright 2007 Andrew Psaltis, Vienna, VA, USA
+# All rights reserved.
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+
+PRGNAM=libnl
+VERSION=1.0-pre6
+PKG_VERSION=$(echo $VERSION | tr - _)
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then # For BlueWhite64
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRC_VERSION
+tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --with-gnu-ld
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$PKG_VERSION
+cp -a COPYING $PKG/usr/doc/$PRGNAM-$PKG_VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$PKG_VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKG_VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/libnl/libnl.info b/network/libnl/libnl.info
new file mode 100644
index 0000000000..a8ef1278ac
--- /dev/null
+++ b/network/libnl/libnl.info
@@ -0,0 +1,8 @@
+PRGNAM="libnl"
+VERSION="1.0-pre6"
+HOMEPAGE="http://people.suug.ch/~tgr/libnl/"
+DOWNLOAD="http://people.suug.ch/~tgr/libnl/files/libnl-1.0-pre6.tar.gz"
+MD5SUM="0f57cb7085dc27e054691bff858613c9"
+MAINTAINER="Andrew Psaltis"
+EMAIL="ampsaltis@gmail.com"
+APPROVED="rworkman"
diff --git a/network/libnl/slack-desc b/network/libnl/slack-desc
new file mode 100644
index 0000000000..6351f5650f
--- /dev/null
+++ b/network/libnl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libnl: libnl (netlink socket library)
+libnl:
+libnl: libnl is a library for applications dealing with netlink sockets.
+libnl: The library provides an interface for raw netlink messaging and
+libnl: various netlink family specific interfaces.
+libnl:
+libnl: Homepage: http://people.suug.ch/~tgr/libnl/
+libnl:
+libnl:
+libnl:
+libnl: